cURL
curl --request POST \
--url https://api.mecha-health.ai/v2/models/infer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "IMAGE",
"data": "<string>"
}
],
"language": "en"
}
'import requests
url = "https://api.mecha-health.ai/v2/models/infer"
payload = {
"inputs": [
{
"name": "IMAGE",
"data": "<string>"
}
],
"language": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: 'IMAGE', data: '<string>'}], language: 'en'})
};
fetch('https://api.mecha-health.ai/v2/models/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"findings": "<string>"
}{
"error": "Internal server error",
"message": "An unexpected error occurred while processing your request. Please try again later or contact support if the issue persists."
}{
"error": "Internal server error",
"message": "An unexpected error occurred while processing your request. Please try again later or contact support if the issue persists."
}Useful Endpoints
Infer CXR Images
Infer the findings section of a CXR image
POST
/
v2
/
models
/
infer
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request payload containing a Base64 encoded CXR image and an optional language parameter
Response
CXR interpretation response
The findings of the CXR image
⌘I
